JaxbTableGenerator (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.internal.jaxb.mapping.orm
Class JaxbTableGenerator

    java.lang.Object
      org.hibernate.internal.jaxb.mapping.orm.JaxbTableGenerator

    public class JaxbTableGenerator

extends Object

Field Summary
`protected Integer` | `allocationSize`
`protected String` | `catalog`
`protected String` | `description`
`protected Integer` | `initialValue`
`protected String` | `name`
`protected String` | `pkColumnName`
`protected String` | `pkColumnValue`
`protected String` | `schema`
`protected String` | `table`
`protected List<JaxbUniqueConstraint>` | `uniqueConstraint`
`protected String` | `valueColumnName`

Constructor Summary
`JaxbTableGenerator()`

Method Summary
`Integer` | `getAllocationSize()` Gets the value of the allocationSize property.
`String` | `getCatalog()` Gets the value of the catalog property.
`String` | `getDescription()` Gets the value of the description property.
`Integer` | `getInitialValue()` Gets the value of the initialValue property.
`String` | `getName()` Gets the value of the name property.
`String` | `getPkColumnName()` Gets the value of the pkColumnName property.
`String` | `getPkColumnValue()` Gets the value of the pkColumnValue property.
`String` | `getSchema()` Gets the value of the schema property.
`String` | `getTable()` Gets the value of the table property.
`List<JaxbUniqueConstraint>` | `getUniqueConstraint()` Gets the value of the uniqueConstraint property.
`String` | `getValueColumnName()` Gets the value of the valueColumnName property.
`void` | `setAllocationSize(Integer value)` Sets the value of the allocationSize property.
`void` | `setCatalog(String value)` Sets the value of the catalog property.
`void` | `setDescription(String value)` Sets the value of the description property.
`void` | `setInitialValue(Integer value)` Sets the value of the initialValue property.
`void` | `setName(String value)` Sets the value of the name property.
`void` | `setPkColumnName(String value)` Sets the value of the pkColumnName property.
`void` | `setPkColumnValue(String value)` Sets the value of the pkColumnValue property.
`void` | `setSchema(String value)` Sets the value of the schema property.
`void` | `setTable(String value)` Sets the value of the table property.
`void` | `setValueColumnName(String value)` Sets the value of the valueColumnName property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### description

    protected String description

### uniqueConstraint

    protected List<JaxbUniqueConstraint> uniqueConstraint

### name

    protected String name

### table

    protected String table

### catalog

    protected String catalog

### schema

    protected String schema

### pkColumnName

    protected String pkColumnName

### valueColumnName

    protected String valueColumnName

### pkColumnValue

    protected String pkColumnValue

### initialValue

    protected Integer initialValue

### allocationSize

    protected Integer allocationSize

Constructor Detail

### JaxbTableGenerator

    public JaxbTableGenerator()

Method Detail

### getDescription

    public String getDescription()

  Gets the value of the description property.

  Returns:
    possible object is `String`

### setDescription

    public void setDescription(String value)

  Sets the value of the description property.

  Parameters:
    `value` - allowed object is `String`

### getUniqueConstraint

    public List<JaxbUniqueConstraint> getUniqueConstraint()

  Gets the value of the uniqueConstraint property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the uniqueConstraint property.

  For example, to add a new item, do as follows:

          getUniqueConstraint().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbUniqueConstraint`

### getName

    public String getName()

  Gets the value of the name property.

  Returns:
    possible object is `String`

### setName

    public void setName(String value)

  Sets the value of the name property.

  Parameters:
    `value` - allowed object is `String`

### getTable

    public String getTable()

  Gets the value of the table property.

  Returns:
    possible object is `String`

### setTable

    public void setTable(String value)

  Sets the value of the table property.

  Parameters:
    `value` - allowed object is `String`

### getCatalog

    public String getCatalog()

  Gets the value of the catalog property.

  Returns:
    possible object is `String`

### setCatalog

    public void setCatalog(String value)

  Sets the value of the catalog property.

  Parameters:
    `value` - allowed object is `String`

### getSchema

    public String getSchema()

  Gets the value of the schema property.

  Returns:
    possible object is `String`

### setSchema

    public void setSchema(String value)

  Sets the value of the schema property.

  Parameters:
    `value` - allowed object is `String`

### getPkColumnName

    public String getPkColumnName()

  Gets the value of the pkColumnName property.

  Returns:
    possible object is `String`

### setPkColumnName

    public void setPkColumnName(String value)

  Sets the value of the pkColumnName property.

  Parameters:
    `value` - allowed object is `String`

### getValueColumnName

    public String getValueColumnName()

  Gets the value of the valueColumnName property.

  Returns:
    possible object is `String`

### setValueColumnName

    public void setValueColumnName(String value)

  Sets the value of the valueColumnName property.

  Parameters:
    `value` - allowed object is `String`

### getPkColumnValue

    public String getPkColumnValue()

  Gets the value of the pkColumnValue property.

  Returns:
    possible object is `String`

### setPkColumnValue

    public void setPkColumnValue(String value)

  Sets the value of the pkColumnValue property.

  Parameters:
    `value` - allowed object is `String`

### getInitialValue

    public Integer getInitialValue()

  Gets the value of the initialValue property.

  Returns:
    possible object is `Integer`

### setInitialValue

    public void setInitialValue(Integer value)

  Sets the value of the initialValue property.

  Parameters:
    `value` - allowed object is `Integer`

### getAllocationSize

    public Integer getAllocationSize()

  Gets the value of the allocationSize property.

  Returns:
    possible object is `Integer`

### setAllocationSize

    public void setAllocationSize(Integer value)

  Sets the value of the allocationSize property.

  Parameters:
    `value` - allowed object is `Integer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.